Summary:	A spam filter for Usenet news servers
Name:		cleanfeed
Version:	20020501
Release:	%mkrel 16
License:	Artistic
Group:		System/Servers
URL:		http://www.bofh.it/~md/cleanfeed/
Source0:	http://www.bofh.it/~md/cleanfeed/%{name}-%{version}.tgz
Patch0:		cleanfeed-20020501-config.patch
BuildArch:	noarch

%description
Cleanfeed is an automatic spam filter for Usenet news servers and
routers (INN, Cyclone, Typhoon, Breeze and NNTPRelay).  Cleanfeed is
highly configurable, easily modified and very fast.  It can be configured
to block binary posts to non-binary newsgroups, to cancel already-rejected
articles, and to reject some spamming from local users.

Install the cleanfeed package if you need a spam filter for a Usenet news
server.

%prep
%setup -q
%patch0 -p1 -b .config

chmod 644 CHANGES README

%install
mkdir -p $RPM_BUILD_ROOT/{%{_sysconfdir}/news,%{_mandir}/man8,%{_libdir}/news/bin/control}
install -m 0644 cleanfeed.local.sample $RPM_BUILD_ROOT/%{_sysconfdir}/news/cleanfeed.local
install -m 0644 bad_adult_paths $RPM_BUILD_ROOT/%{_sysconfdir}/news
install -m 0644 bad_cancel_paths $RPM_BUILD_ROOT/%{_sysconfdir}/news
install -m 0644 bad_paths $RPM_BUILD_ROOT/%{_sysconfdir}/news
install -m 0644 bad_hosts $RPM_BUILD_ROOT/%{_sysconfdir}/news
install -m 0755 cleanfeed $RPM_BUILD_ROOT/%{_libdir}/news/bin/control/filter_innd.pl

%files
%doc CHANGES README
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/cleanfeed.local
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/bad_adult_paths
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/bad_cancel_paths
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/bad_paths
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/bad_hosts
%attr(-,news,news) %{_libdir}/news/bin/control/filter_innd.pl





%changelog
* Sat Mar 19 2022 umeabot <umeabot> 20020501-16.mga9
+ Revision: 1801038
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 20020501-15.mga8
+ Revision: 1490114
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 20020501-14.mga7
+ Revision: 1261567
- Mageia 7 Mass Rebuild

* Sun Jan 31 2016 umeabot <umeabot> 20020501-13.mga6
+ Revision: 929478
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20020501-12.mga5
+ Revision: 748843
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20020501-11.mga5
+ Revision: 678421
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 20020501-10.mga4
+ Revision: 503360
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 20020501-9.mga3
+ Revision: 347874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 27 2011 ennael <ennael> 20020501-8.mga1
+ Revision: 61158
- imported package cleanfeed


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 20020501-8mdv2011.0
+ Revision: 603837
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 20020501-7mdv2010.1
+ Revision: 520022
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 20020501-6mdv2010.0
+ Revision: 413241
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 20020501-5mdv2009.1
+ Revision: 350404
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 20020501-4mdv2009.1
+ Revision: 350236
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 20020501-3mdv2009.0
+ Revision: 220502
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 20020501-2mdv2008.1
+ Revision: 149100
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.org> 20020501-1mdv2008.0
+ Revision: 41211
- 'new' release 20020501; no more man page; new config files; correct license; update patch; rebuild for 2008


* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 09:33:59 (55905)
- mkrelisation

* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 09:32:07 (55904)
Import cleanfeed

* Wed Sep 01 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.95.7b-13mdk
- rebuild

